## ros-dashing-launch-ros 0.8.10

=== debian/changelog ===
ros-dashing-launch-ros (0.8.10-1bionic) bionic; urgency=high

  * Fix race with launch context changes when loading composable nodes (#238 <https://github.com/ros2/launch_ros/issues/238>)
  * Contributors: Chris Lalancette

 -- Jacob Perron <jacob@openrobotics.org>  Fri, 21 May 2021 07:00:00 -0000

ros-dashing-launch-ros (0.8.9-1bionic) bionic; urgency=high

  * Resolve libyaml warning when loading parameters from file. (#161 <https://github.com/ros2/launch_ros/issues/161>) (#204 <https://github.com/ros2/launch_ros/issues/204>)
  * Update maintainers for Dashing. (#192 <https://github.com/ros2/launch_ros/issues/192>)
  * Contributors: Dereck Wonnacott, Jacob Perron, Michael Jeronimo

 -- Jacob Perron <jacob@openrobotics.org>  Tue, 24 Nov 2020 08:00:00 -0000

ros-dashing-launch-ros (0.8.8-1bionic) bionic; urgency=high

  * Fix LoadComposableNodes action so that loading happens asynchronously. (#131 <https://github.com/ros2/launch_ros/issues/131>)
  * Contributors: Jacob Perron

 -- William Woodall <william@osrfoundation.org>  Fri, 13 Mar 2020 07:00:00 -0000

ros-dashing-launch-ros (0.8.7-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Mon, 14 Oct 2019 07:00:00 -0000

ros-dashing-launch-ros (0.8.6-1bionic) bionic; urgency=high

  * Additional fixes for Python 3.5. (#67 <https://github.com/ros2/launch_ros/issues/67>)
  * Restore Python 3.5 support. (#65 <https://github.com/ros2/launch_ros/issues/65>)
  * Install package marker and manifest. (#62 <https://github.com/ros2/launch_ros/issues/62>) (#63 <https://github.com/ros2/launch_ros/issues/63>)
  * Contributors: Dirk Thomas, Steven! Ragnarök

 -- William Woodall <william@osrfoundation.org>  Fri, 06 Sep 2019 07:00:00 -0000

ros-dashing-launch-ros (0.8.5-1bionic) bionic; urgency=high

  * Use wildcard syntax in generated parameter YAML files (#48 <https://github.com/ros2/launch_ros/issues/48>)
  * Contributors: Scott K Logan

 -- William Woodall <william@osrfoundation.org>  Wed, 31 Jul 2019 07:00:00 -0000

ros-dashing-launch-ros (0.8.4-1bionic) bionic; urgency=high

  * Update usage of 'noqa' for imports (#32 <https://github.com/ros2/launch_ros/issues/32>)
  * Contributors: Jacob Perron

 -- William Woodall <william@osrfoundation.org>  Thu, 30 May 2019 07:00:00 -0000

ros-dashing-launch-ros (0.8.3-1bionic) bionic; urgency=high

  * Added the ``FindPackage`` substitution. (#22 <https://github.com/ros2/launch_ros/issues/22>)
  * Changed interpretation of Parameter values which are passed to ``Node()`` so that they get evaluated by yaml rules. (#31 <https://github.com/ros2/launch_ros/issues/31>)
  * Contributors: Shane Loretz, ivanpauno

 -- William Woodall <william@osrfoundation.org>  Wed, 29 May 2019 07:00:00 -0000

ros-dashing-launch-ros (0.8.2-1bionic) bionic; urgency=high

  * Fix deprecation warnings (#25 <https://github.com/ros2/launch_ros/issues/25>)
  * Corrected matches_action usage in lifecycle_pub_sub example (#21 <https://github.com/ros2/launch_ros/issues/21>)
  * Contributors: Jacob Perron, ivanpauno

 -- William Woodall <william@osrfoundation.org>  Mon, 20 May 2019 07:00:00 -0000

ros-dashing-launch-ros (0.8.1-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Wed, 08 May 2019 07:00:00 -0000

ros-dashing-launch-ros (0.8.0-1bionic) bionic; urgency=high

  * Make 'ros2 launch' work again. (#201 <https://github.com/ros2/launch_ros/issues/201>)
  * Added LaunchLogger class (#145 <https://github.com/ros2/launch/issues/145>)
  * Changed logger.warn (deprecated) to logger.warning. (#199 <https://github.com/ros2/launch/issues/199>)
  * Added Plumb rclpy.init context to get_default_launch_description. (#193 <https://github.com/ros2/launch/issues/193>)
  * Added normalize_parameters and evaluate_paramters. (#192 <https://github.com/ros2/launch/issues/192>)
  * Added normalize_remap_rule and types. (#173 <https://github.com/ros2/launch/issues/173>)
  * Contributors: Chris Lalancette, Dirk Thomas, Jacob Perron, Peter Baughman, Shane Loretz

 -- William Woodall <william@osrfoundation.org>  Sun, 14 Apr 2019 07:00:00 -0000

ros-dashing-launch-ros (0.7.3-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 13 Dec 2018 08:00:00 -0000

ros-dashing-launch-ros (0.7.2-1bionic) bionic; urgency=high



 -- William Woodall <william@osrfoundation.org>  Thu, 06 Dec 2018 08:00:00 -0000

ros-dashing-launch-ros (0.7.1-1bionic) bionic; urgency=high

  * Fixed setup.py versions (#155 <https://github.com/ros2/launch/issues/155>)
  * Contributors: Steven! Ragnarök

 -- William Woodall <william@osrfoundation.org>  Fri, 16 Nov 2018 08:00:00 -0000

ros-dashing-launch-ros (0.7.0-1bionic) bionic; urgency=high

  * Renamed transitions to match changes in ``lifecycle_msgs`` (#153 <https://github.com/ros2/launch/issues/153>)
    * TRANSITION_SHUTDOWN was deleted in ``lifecycle_msgs/msg/Transition.msg``
    * Align with the code changes from https://github.com/ros2/rcl_interfaces/commit/852a37ba3ae0f7e58f4314fa432a8ea7f0cbf639
    * Signed-off-by: Chris Ye <mailto:chris.ye@intel.com>
  * Added 'handle_once' property for unregistering an EventHandler after one event (#141 <https://github.com/ros2/launch/issues/141>)
  * Added support for passing parameters as a dictionary to a Node (#138 <https://github.com/ros2/launch/issues/138>)
  * Made various fixes and added tests for remappings passed to Node actions (#137 <https://github.com/ros2/launch/issues/137>)
  * Added ability to pass parameter files to Node actions (#135 <https://github.com/ros2/launch/issues/135>)
  * Added ability to define and pass launch arguments to launch files (#123 <https://github.com/ros2/launch/issues/123>)
    * See changelog in ``launch`` for details.
    * Signed-off-by: William Woodall <mailto:william@osrfoundation.org>
  * Contributors: Chris Ye, Jacob Perron, William Woodall, dhood

 -- William Woodall <william@osrfoundation.org>  Fri, 16 Nov 2018 08:00:00 -0000


